/*****************************************************************/
/*      callingsequence.h                                        */
/*      Henri Casanova                                           */
/*****************************************************************/

#ifndef __NS_CALLINGSEQUENCE_H
#define __NS_CALLINGSEQUENCE_H

#include <stdarg.h>
#include "problemdesc.h"

/**
 ** STRUCTURE DEFINITIONS
 **/

typedef union{
  int i;
  void *ptr;
}NS_VoidStarOrInt;

/**
 ** FUNCTION PROTOTYPES
 **/

int parseStack(int,NS_ProblemDesc*,va_list);
int stackToArray(int,NS_ProblemDesc*,va_list,NS_VoidStarOrInt **);
int arrayToObjects(int,NS_ProblemDesc*,NS_Object**,NS_Object**,NS_VoidStarOrInt*);

#endif

