#include <stdlib.h>
#include <stdio.h>
#include "mpi.h"
#include "error_returns.h"
#include "itpack.h"
#include "./itpack_auxs.h"
#include "itpack_impl.h"
#include "driver/sparse.h"
#ifdef DEBUG
#include "matrix_auxs.h"
#endif

int itpack_params(direct_info_block *info,double rtol,int maxit)
{
  itpack_info_block itpack_info;

  itpack_info = (itpack_info_block) malloc
    (sizeof(struct itpack_info_block_));
  itpack_info->rtol = rtol; itpack_info->maxit = maxit;
  *info = (direct_info_block) itpack_info;

  return 0;
}

int itpack_set_return_params(iterative_info_block info,int conv,int its)
{
  itpack_info_block itpack_info = (itpack_info_block) info;

  itpack_info->conv = conv; itpack_info->its = its;

  return 0;
}

int itpack_get_return_params(iterative_info_block info,int *conv,int *its)
{
  itpack_info_block itpack_info = (itpack_info_block) info;

  *conv = itpack_info->conv; *its = itpack_info->its;

  return 0;
}
