#ifndef NETSOLVE_SLU_IMPL_H
#define NETSOLVE_SLU_IMPL_H 1

typedef struct superlu_info_block_ *superlu_info_block;

struct superlu_info_block_{
  int perm;
};

#include "driver/sparse.h"
extern int superlu_serial
(double *slu_vals,int *slu_idx,int *cptr,
 int nnzeros,int order,direct_info_block info,
 double *rhs_vector,double *solution_vector);
#include "mpi.h"
extern int superlu_dist
(MPI_Comm comm,
 double *slu_vals,int *slu_idx,int *cptr,
 int nnzeros,int order,direct_info_block info,
 double *rhs_vector,double *solution_vector);

#endif
