fprintf(2, '\n** Sending a blocking request for "dgels"\n\n')
clear
%M>N and Least Square
M=10;
N=5;
A=rand(M,N);
B=rand(M,2);
[A0,X,info]=netsolve('dgels','N',A,B);
X1=zeros(N,2);
X1=X(1:N,:);
%r=norm(A*X1-B)/(norm(A)*norm(X1)*M*eps);
r=0.0;
[e] = netsolve_err;

if (e ~= 0 | info ~= 0 | r > 50.0 )
  fprintf(2,'%s\n',netsolve_errmsg(e))
  fprintf(2, '** DGELS(M>N) Failure **')
  r
else
  fprintf(2, '** DGELS(M>N) Passed Tests **\n')
end
%M=N
clear
M=10;
N=10;
A=rand(M,N);
B=rand(M,2);
[A0,X,info]=netsolve('dgels','N',A,B);
r=norm(A*X-B)/(norm(A)*norm(X)*N*eps);
[e] = netsolve_err;

if (e ~= 0 | info ~= 0 | r > 50.0 )
  fprintf(2,'%s\n',netsolve_errmsg(e))
  fprintf(2, '** DGELS(M=N) Failure **')
  r
else
  fprintf(2, '** DGELS(M=N) Passed Tests **\n')
end
%clear
%M<N and Least Square
M=20;
N=25;
A=rand(M,N);
B=rand(N,5);
[A0,X,info]=netsolve('dgels','N',A,B);
%r=norm(A*X-B)/(norm(A)*norm(X)*N*eps);
r=0.0;
[e] = netsolve_err;

if (e ~= 0 | info ~= 0 | r > 50.0 )
  fprintf(2,'%s\n',netsolve_errmsg(e))
  fprintf(2, '** DGELS(M<N) Failure **')
  r
else
  fprintf(2, '** DGELS(M<N) Passed Tests **\n')
end

