fprintf(2, '\n** Sending a blocking request for "ma28"\n\n')
clear
[A,rhs]=generate(1);
[x]=netsolve('direct_solve_serial','MA28',A,rhs,0.3,1);
r=norm(full(A*x-rhs))/(norm(full(A))*norm(full(x))*eps);
[e] = netsolve_err;
if (e ~= 0 | r > 50.0 )
  fprintf(2,'%s\n',netsolve_errmsg(e))
  fprintf(2, '** MA28 Failure **')
  r
else
  fprintf(2, '** MA28 Passed Tests **\n')
end
