clear
N=20;
C=rand(N);
B=rand(N,5);
A=C*C';
[A1,X,info]=netsolve('pdposv','U',A,B);
r1=norm(A*X-B)/(norm(A)*norm(X)*eps);
[e] = netsolve_err;
if (e ~= 0 | info ~= 0 | r1 > 50.0 )
  fprintf(2,'%s\n',netsolve_errmsg(e))
  fprintf(2, '** PDPOSV Failure **')
  r1
else
  fprintf(2, '** PDPOSV(U) Passed Tests **\n')
end

clear N C B A A1 X info
N=20;
C=rand(N);
B=rand(N,5);
A=C*C';
[A1,X,info]=netsolve('pdposv','L',A,B);
r2=norm(A*X-B)/(norm(A)*norm(X)*eps);
[e] = netsolve_err;
if (e ~= 0 | info ~= 0 | r2 > 50.0 )
  fprintf(2,'%s\n',netsolve_errmsg(e))
  fprintf(2, '** PDPOSV Failure **')
  r2
else
  fprintf(2, '** PDPOSV(U) Passed Tests **\n')
end
