#!/usr/local/bin/perl

#define Variables
$mailprog='/usr/lib/sendmail';
$date=`/bin/date`; chop($date);

#Get the input
read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});

#split the name_value pairs
@pairs = split(/&/, $buffer);

foreach $pair(@pairs){
  ($name, $value) = split(/=/, $pair);

  $value =~ tr/+/ /;
  $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
  $name =~ tr/+/ /;
  $name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

  $FORM{$name}=$value;
}


if ($FORM{'mailing_list'} eq 'add') {
  #Open The Mail list
  open(mlist, ">>./.netsolve_list") || die "Can't open $mlist!\n";
  print mlist "$FORM{'email'}\n";
  close(mlist);

  #Send mail to subsciber
  open(MAIL, "|$mailprog -t") || die "Can't open $mailprog!\n";
  print MAIL "To: $FORM{'email'}\n";
  print MAIL "From: $FORM{'recipient'} (NetSolve Administrator)\n";
  print MAIL "Subject: $FORM{'subject'}\n\n";
  print MAIL "Welcome to the NetSolve Electronic Mailing List !\n\n";

  print MAIL "The NetSolve team will post messages to this list each time\n";
  print MAIL "something new is available in the NetSolve project, like \n";  print MAIL "a new release, a new Java applet on the Web, etc..\n\n";

  print MAIL "If at any time you wish to be removed from this list, just send\n";
  print MAIL "a request to 'netsolve\@cs.utk.edu'.\n\n";
  print MAIL "\tRegards\n\n";
  print MAIL "\t\tthe NetSolve team.\n";
  close(MAIL);
}

if ($FORM{'redirect'}){
  print "Location: $FORM{'redirect'}\n\n";
}
else{
  print "Content-type: text/html\n\n";
  open(html, "/polar/homes/nsadmin/www-home/NetSolve/download.html")
	|| die "Can't open $html!\n";
  while(<html>){
	print $_;
  }

  close(html);
}

#Open The Mail
open(MAIL, "|$mailprog -t") || die "Can't open $mailprog!\n";
#open(MAIL, ">mail_file") || die "Can't open mail_file!\n";
print MAIL "To: $FORM{'recipient'}\n";
print MAIL "From: $FORM{'email'}($FORM{'name'})\n";
print MAIL "Subject: $FORM{'subject'}\n\n";

foreach $pair(@pairs){
  ($name, $value) = split(/=/, $pair);

  $value =~ tr/+/ /;
  $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
  $name =~ tr/+/ /;
  $name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

  $FORM{$name}=$value;

  unless($name eq 'recipient' || $name eq 'subject'){
    if ($value ne ""){
	print MAIL "$name:  $value\n";
    }
  }
}

close(MAIL);

#Open The File FeedBack.dat
open(DATA, ">>./.feedback") || die "Can't open .feedback!\n";
print DATA "\n-----------------------------\n";
print DATA "$date\n";
print DATA "-----------------------------\n";

foreach $pair(@pairs){
  ($name, $value) = split(/=/, $pair);

  $value =~ tr/+/ /;
  $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
  $name =~ tr/+/ /;
  $name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

  $FORM{$name}=$value;

  unless($name eq 'recipient' || $name eq 'subject'){
    if ($value ne ""){
	print DATA "$name:  $value\n";
    }
  }
}

print DATA "***********************************\n\n\n";

close(DATA);

unless($FORM{'redirect'}){
   print"</BODY></HTML>"
}
