#!/usr/bin/perl

#define Variables
$mailprog='/usr/lib/sendmail';

#Get the input
read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});

#split the name_value pairs
@pairs = split(/&/, $buffer);

foreach $pair(@pairs){
  ($name, $value) = split(/=/, $pair);

  $value =~ tr/+/ /;
  $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
  $name =~ tr/+/ /;
  $name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

  $FORM{$name}=$value;
}

if ($FORM{'email'} ne "") {
  #Open The Mail list
  #open(MAIL, ">mail_file") || die "Can't open mail_file!\n";
  open(mlist, ">>./.netsolve_list") || die "Can't open $mlist!\n";
  print mlist "$FORM{'email'}\n";
  close(mlist);

  #Send mail to subsciber
  open(MAIL, "|$mailprog -t") || die "Can't open $mailprog!\n";
  print MAIL "To: $FORM{'email'}\n";
  print MAIL "From: nsadmin\@cs.utk.edu (NetSolve Administrator)\n";
  print MAIL "Subject: NetSolve Mailing List\n\n";
  print MAIL "Welcome to the NetSolve Electronic Mailing List !\n\n";

  print MAIL "The NetSolve team will post messages to this list each time\n";
  print MAIL "something new is available in the NetSolve project, like \n";
  print MAIL "a new release, a new Java applet on the Web, etc..\n\n";

  print MAIL "If at any time you wish to be removed from this list, just send\n";
  print MAIL "a request to 'netsolve\@cs.utk.edu'.\n\n";
  print MAIL "\tRegards\n\n";
  print MAIL "\t\tthe NetSolve team.\n";
  close(MAIL);
}
else{
  $error = 1;
}

if ($FORM{'redirect'}){
  print "Location: $FORM{'redirect'}\n\n";
}
else{
  print "<title>NetSolve Electronic list </title>";
  print "</head> <body>";
  print "<center><h1>NetSolve Electronic List</h1></center>\n";
  print "<hr>\n";

  if(!$error){
    print "<FONT COLOR=\"red\"> $FORM{'email'}</FONT> has been added to the list\n";  
  }
  else{
    print "Error in email address!\n" ;
  }

  print "<hr>\n";
}

#Open The Mail
open(MAIL, "|$mailprog -t") || die "Can't open $mailprog!\n";
#open(MAIL, ">mail_file") || die "Can't open mail_file!\n";
print MAIL "To: nsadmin\@cs.utk.edu\n";
print MAIL "From: $FORM{'email'}\n";
print MAIL "Subject: NetSolve mailing list\n\n";
print MAIL "That's it!\n";
close(MAIL);
