/*****************************************************************/
/*      probeassignment.c                                        */
/*      Henri Casanova                                           */
/*---------------------------------------------------------------*/
/*****************************************************************/

#include "core.h"
#include "client.h"
#include "client2proxy.h"
#include <signal.h>

/*
 * netsolveProbeAssignment()
 * 
 * This function probes a job "assignment" is complete. This
 * is different from probing a job "request" in that this function
 * does not perform any automatic resubmission in case of failure.
 */
int netsolveProbeAssignment(NS_RequestDesc **rd)
{
  return CP_probeJob(*rd);
}

