/*
 * driver and computational routines for interfacing itpack to netsolve
 */
#include "../driver/sparse.h"
#include "mpi.h"

extern int itpack_params(iterative_info_block *info,double rtol,int maxit);
extern int itpack_set_return_params
(iterative_info_block info,int conv,int its);
extern int itpack_get_return_params
(iterative_info_block info,int *conv,int *its);

/* Iterative matrix solution */
extern int itpack_iterative_driver
(MPI_Comm comm,
 double *values,int *indices,int *pointers,
 int first,int local_size,
 double *rhs_vector,double *sol_vector,
 iterative_info_block info);
