fprintf(2, '\n** Sending a blocking request for "Aztec"\n\n')
clear
[A,rhs]=generate(1);
[x,its]=netsolve('iterative_solve_parallel','AZTEC',A,rhs,1.e-6,500);
seps=1.e-6;
r=norm(full(A*x-rhs))/(norm(full(A))*norm(full(x))*seps);
[e] = netsolve_err;
if (e ~= 0 | r > 50.0 )
  fprintf(2,'%s\n',netsolve_errmsg(e))
  fprintf(2, '** Aztec Failure **')
  r
else
  fprintf(2, '** Aztec Passed Tests **\n')
end
