fprintf(2, '\n** Sending a blocking request for "ITPACK"\n\n')
clear
[A,rhs]=generate(2);
[x,its]=netsolve('itpack_solve',A,rhs,1.e-6,500);
seps=1.e-6;
r=norm(full(A*x-rhs))/(norm(full(A))*norm(full(x))*seps);
[e] = netsolve_err;
if (e ~= 0 | r > 50.0 )
  fprintf(2,'%s\n',netsolve_errmsg(e))
  fprintf(2, '** ITPACK Failure **')
  r
else
  fprintf(2, '** ITPACK Passed Tests **\n')
end
