/*-----------------------------------------------*/
/*-----------------------------------------------*/
/* Includes, constants and macros for the progam */
/*-----------------------------------------------*/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/timeb.h>
#include <ctype.h>

#include "libcgi/cgi.h"

/*----------------------------------------*/
/* Mostly stub routine from cgi-lib files */
/*----------------------------------------*/
int put_on_list(char*);

int cgi_main(cgi_info *ci) {
  char *parmval(form_entry *, char *);
  form_entry *parms, *p;
  form_entry *get_form_entries(cgi_info *);
  char *address;
  int ftime(struct timeb* tp);

  print_mimeheader("text/html");

  parms = get_form_entries(ci);
  if (parms) {
    /* extract specific form parameters */
    for(p=parms; p; p = p->next) {
      if (!strcasecmp(p->name, "address")) address = p->val;
    }
  }

  puts("<html> <head>");
  puts("<title>NetSolve Electronic list </title>");
  puts("</head> <body>");
  puts("<center><h1>NetSolve Electronic List</h1></center>\n");
  puts("<hr>\n");
  puts("<FONT COLOR=\"red\">");
  puts(address);
  puts("</FONT>");
  puts(" has been added to the list\n");  
  put_on_list(address);
  free_form_entries(parms);
  puts("<hr>\n");
  puts("</body> </html>");

  return 0;
}

int put_on_list(char *s)
{
  char command_line[256];
  FILE *stream;

  sprintf(command_line,"/home/nsadmin/www-home/cgi-bin/add %s\n",s);

  stream = popen(command_line,"r");
  if (stream == NULL)
  {
    return -1;
  }
  else

  pclose(stream);

  return 0;
}
